diff --git a/src/traverso/widgets/ResourcesWidget.cpp b/src/traverso/widgets/ResourcesWidget.cpp
index 24cd6499..84dd6d8c 100644
--- a/src/traverso/widgets/ResourcesWidget.cpp
+++ b/src/traverso/widgets/ResourcesWidget.cpp
@@ -1,5 +1,5 @@
 /*
-Copyright (C) 2007 Remon Sijrier 
+Copyright (C) 2007 Remon Sijrier
 
 This file is part of Traverso
 
@@ -44,14 +44,14 @@ Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA.
 
 void FileWidget::showEvent( QShowEvent * event ) {
 	Q_UNUSED(event);
-		
+
 	if (m_dirModel) {
 		return;
 	}
-		
+
 	QPalette palette;
 	palette.setColor(QPalette::AlternateBase, themer()->get_color("ResourcesBin:alternaterowcolor"));
-		
+
 	m_dirModel = new QDirModel;
 	m_dirModel->setFilter(QDir::Dirs | QDir::Files | QDir::NoDotAndDotDot);
 	m_dirView = new QListView;
@@ -62,10 +62,10 @@ void FileWidget::showEvent( QShowEvent * event ) {
 	m_dirView->setAlternatingRowColors(true);
 	m_dirView->setPalette(palette);
 	m_dirModel->setSorting(QDir::DirsFirst | QDir::Name | QDir::IgnoreCase);
-		
+
 	m_box = new QComboBox(this);
 	m_box->addItem("", "");
-#if defined (Q_WS_WIN)
+#if defined (Q_OS_WIN)
 	m_box->addItem(tr("My Computer"), "");
 	m_box->addItem(tr("My Documents"), QDir::homePath() + "\\" + tr("My Documents"));
 #else
@@ -78,33 +78,33 @@ void FileWidget::showEvent( QShowEvent * event ) {
 	upButton->setIcon(upIcon);
 	upButton->setMaximumHeight(25);
 	upButton->setMaximumWidth(30);
-		
+
 	QPushButton* refreshButton = new QPushButton(this);
 	QIcon refreshIcon = QIcon(find_pixmap(":/refresh-16"));
 	refreshButton->setToolTip(tr("Refresh File View"));
 	refreshButton->setIcon(refreshIcon);
 	refreshButton->setMaximumHeight(25);
 	refreshButton->setMaximumWidth(30);
-		
+
 	QHBoxLayout* hlay = new QHBoxLayout;
 	hlay->addWidget(upButton);
 	hlay->addWidget(refreshButton);
 	hlay->addWidget(m_box, 10);
-		
+
 	QVBoxLayout* lay = new QVBoxLayout(this);
 	lay->setMargin(0);
 	lay->setSpacing(6);
 	lay->addLayout(hlay);
 	lay->addWidget(m_dirView);
-		
+
 	setLayout(lay);
-		
+
 	connect(m_dirView, SIGNAL(clicked(const QModelIndex& )), this, SLOT(dirview_item_clicked(const QModelIndex&)));
 	connect(upButton, SIGNAL(clicked()), this, SLOT(dir_up_button_clicked()));
 	connect(refreshButton, SIGNAL(clicked()), this, SLOT(refresh_button_clicked()));
 	connect(m_box, SIGNAL(activated(int)), this, SLOT(box_actived(int)));
 }
-		
+
 void FileWidget::dirview_item_clicked(const QModelIndex & index)
 {
 	if (m_dirModel->isDir(index)) {
@@ -119,24 +119,24 @@ void FileWidget::dirview_item_clicked(const QModelIndex & index)
 void FileWidget::dir_up_button_clicked()
 {
 	QDir dir(m_dirModel->filePath(m_dirView->rootIndex()));
-	
-#if defined (Q_WS_WIN)
+
+#if defined (Q_OS_WIN)
 	if (m_dirModel->filePath(m_dirView->rootIndex()) == "") {
 		return;
 	}
 	QString oldDir = dir.canonicalPath();
 #endif
-	
+
 	dir.cdUp();
 	QString text = dir.canonicalPath();
-	
-#if defined (Q_WS_WIN)
+
+#if defined (Q_OS_WIN)
 	if (oldDir == dir.canonicalPath()) {
 		dir.setPath("");
 		text = tr("My Computer");
 	}
 #endif
-	
+
 	m_dirView->setRootIndex(m_dirModel->index(dir.canonicalPath()));
 	m_box->setItemText(0, text);
 	m_box->setItemData(0, dir.canonicalPath());
@@ -171,16 +171,16 @@ ResourcesWidget::~ ResourcesWidget()
 {
 }
 
-void ResourcesWidget::showEvent( QShowEvent * event ) 
+void ResourcesWidget::showEvent( QShowEvent * event )
 {
 	Q_UNUSED(event);
-	
+
 	if (sourcesTreeWidget) {
 		return;
 	}
-	
+
 	setupUi(this);
-	
+
 	QPalette palette;
 	palette.setColor(QPalette::AlternateBase, themer()->get_color("ResourcesBin:alternaterowcolor"));
 	sourcesTreeWidget->setPalette(palette);
@@ -198,23 +198,23 @@ void ResourcesWidget::showEvent( QShowEvent * event )
 	sourcesTreeWidget->header()->resizeSection(3, LENGTH_SECTION_WIDTH);
 	sourcesTreeWidget->header()->setStretchLastSection(false);
 	sourcesTreeWidget->setUniformRowHeights(true);
-	
-	
+
+
 	m_filewidget = new FileWidget(this);
 	layout()->addWidget(m_filewidget);
 	m_filewidget->hide();
-	
+
 	m_currentSheet = 0;
 	m_project = 0;
-	
-	
+
+
 	connect(viewComboBox, SIGNAL(currentIndexChanged(int)), this, SLOT(view_combo_box_index_changed(int)));
 	connect(sheetComboBox, SIGNAL(currentIndexChanged(int)), this, SLOT(sheet_combo_box_index_changed(int)));
 	connect(sheetComboBox, SIGNAL(activated(int)), this, SLOT(sheet_combo_box_index_changed(int)));
 	connect(&pm(), SIGNAL(projectLoaded(Project*)), this, SLOT(set_project(Project*)));
-	
+
 	set_project(pm().get_project());
-	
+
 	// Fade a project load finished since we were not able to catch that signal!
 	project_load_finished();
 }
@@ -227,15 +227,15 @@ void ResourcesWidget::set_project(Project * project)
 	m_sourceindices.clear();
 	m_clipindices.clear();
 	sheetComboBox->clear();
-	
+
 	if (!m_project) {
 		sheetComboBox->setEnabled(false);
 		m_currentSheet = 0;
 		return;
 	}
-	
+
 	sheetComboBox->setEnabled(true);
-	
+
 	connect(m_project, SIGNAL(projectLoadFinished()), this, SLOT(project_load_finished()));
 }
 
@@ -244,30 +244,30 @@ void ResourcesWidget::project_load_finished()
 	if (!m_project) {
 		return;
 	}
-	
+
 	ResourcesManager* rsmanager = m_project->get_audiosource_manager();
-	
+
 	connect(m_project, SIGNAL(sheetAdded(Sheet*)), this, SLOT(sheet_added(Sheet*)));
 	connect(m_project, SIGNAL(sheetRemoved(Sheet*)), this, SLOT(sheet_removed(Sheet*)));
         connect(m_project, SIGNAL(currentSessionChanged(TSession*)), this, SLOT(set_current_session(TSession*)));
-	
+
 	connect(rsmanager, SIGNAL(clipAdded(AudioClip*)), this, SLOT(add_clip(AudioClip*)));
 	connect(rsmanager, SIGNAL(clipRemoved(AudioClip*)), this, SLOT(remove_clip(AudioClip*)));
 	connect(rsmanager, SIGNAL(sourceAdded(ReadSource*)), this, SLOT(add_source(ReadSource*)));
 	connect(rsmanager, SIGNAL(sourceRemoved(ReadSource*)), this, SLOT(remove_source(ReadSource*)));
-	
+
 	foreach(ReadSource* rs, resources_manager()->get_all_audio_sources()) {
 		add_source(rs);
 	}
-	
+
 	foreach(AudioClip* clip, resources_manager()->get_all_clips()) {
 		add_clip(clip);
 	}
-	
+
 	foreach(Sheet* sheet, m_project->get_sheets()) {
 		sheet_added(sheet);
 	}
-	
+
         set_current_sheet(qobject_cast<Sheet*>(m_project->get_current_session()));
 
 	sourcesTreeWidget->sortItems(0, Qt::AscendingOrder);
@@ -317,16 +317,16 @@ void ResourcesWidget::set_current_sheet(Sheet * sheet)
 	if (m_currentSheet == sheet) {
 		return;
 	}
-	
+
 	if (sheet) {
 		int index = sheetComboBox->findData(sheet->get_id());
 		if (index != -1) {
 			sheetComboBox->setCurrentIndex(index);
 		}
 	}
-	
+
 	m_currentSheet = sheet;
-	
+
 	filter_on_current_sheet();
 }
 
@@ -336,12 +336,12 @@ void ResourcesWidget::filter_on_current_sheet()
 	if (!m_currentSheet) {
 		return;
 	}
-	
+
 	foreach(ClipTreeItem* item, m_clipindices.values()) {
 		item->apply_filter(m_currentSheet);
 	}
 
-	
+
 	foreach(SourceTreeItem* item, m_sourceindices.values()) {
 		item->apply_filter(m_currentSheet);
 	}
@@ -351,40 +351,40 @@ void ResourcesWidget::filter_on_current_sheet()
 void ResourcesWidget::add_clip(AudioClip * clip)
 {
 	ClipTreeItem* item = m_clipindices.value(clip->get_id());
-	
+
 	if (!item) {
 		SourceTreeItem* sourceitem = m_sourceindices.value(clip->get_readsource_id());
-	
+
 		if (! sourceitem ) return;
-	
+
 		ClipTreeItem* clipitem = new ClipTreeItem(sourceitem, clip);
 		m_clipindices.insert(clip->get_id(), clipitem);
-		
+
 		clipitem->setTextAlignment(1, Qt::AlignHCenter);
 		clipitem->setTextAlignment(2, Qt::AlignHCenter);
 		clipitem->setTextAlignment(3, Qt::AlignLeft);
-		
+
 		connect(clip, SIGNAL(positionChanged()), clipitem, SLOT(clip_state_changed()));
 	}
-	
+
 	update_clip_state(clip);
 }
 
 void ResourcesWidget::remove_clip(AudioClip * clip)
 {
 	ClipTreeItem* item = m_clipindices.value(clip->get_id());
-	
+
 	if (!item) {
 		 return;
 	}
-	
+
 	update_clip_state(clip);
 }
 
 void ResourcesWidget::add_source(ReadSource * source)
 {
 	SourceTreeItem* item = m_sourceindices.value(source->get_id());
-	
+
 	if (! item) {
 		item = new SourceTreeItem(sourcesTreeWidget, source);
 		m_sourceindices.insert(source->get_id(), item);
@@ -392,7 +392,7 @@ void ResourcesWidget::add_source(ReadSource * source)
 		item->setTextAlignment(2, Qt::AlignHCenter);
 		item->setTextAlignment(3, Qt::AlignLeft);
 	}
-	
+
 	item->source_state_changed();
 }
 
@@ -413,9 +413,9 @@ void ResourcesWidget::update_clip_state(AudioClip* clip)
 {
 	ClipTreeItem* item = m_clipindices.value(clip->get_id());
 	Q_ASSERT(item);
-	
+
 	item->clip_state_changed();
-	
+
 	update_source_state(clip->get_readsource_id());
 }
 
@@ -446,10 +446,10 @@ void ClipTreeItem::clip_state_changed()
 			setForeground(i, QColor(Qt::lightGray));
 		}
 	}
-	
+
 	QString start = timeref_to_ms(m_clip->get_source_start_location());
 	QString end = timeref_to_ms(m_clip->get_source_end_location());
-		
+
 	setText(0, m_clip->get_name());
 	setText(1, timeref_to_ms(m_clip->get_length()));
 	setText(2, start);
@@ -467,7 +467,7 @@ void ClipTreeItem::apply_filter(Sheet * sheet)
 		if (!isHidden()) {
 			setHidden(true);
 		}
-	} 
+	}
 }
 
 
@@ -485,16 +485,16 @@ void SourceTreeItem::apply_filter(Sheet * sheet)
 		setHidden(false);
 		return;
 	}
-	
+
 	bool show = false;
-		
+
 	for (int i=0; i < childCount(); ++i) {
 		if (!child(i)->isHidden()) {
 			show = true;
 			break;
 		}
 	}
-		
+
 	if (show) {
 		setHidden(false);
 	} else {
@@ -513,7 +513,7 @@ void SourceTreeItem::source_state_changed()
 			setForeground(i, QColor(Qt::lightGray));
 		}
 	}
-	
+
 	int rate = m_source->get_rate();
 	if (rate == 0) rate = pm().get_project()->get_rate();
 	QString duration = timeref_to_ms(m_source->get_length());
@@ -534,8 +534,7 @@ void ResourcesWidget::resizeEvent(QResizeEvent * e)
 		if (nameSectionWidth < 130) {
 			nameSectionWidth = 130;
 		}
-		
+
 		sourcesTreeWidget->header()->resizeSection(0, nameSectionWidth);
 	}
 }
-
-- 
2.21.0.windows.1

